<?php

namespace Treewec\DirectoryIterators;

/**
 * Test class for UserComparator.
 * Generated by PHPUnit on 2012-07-03 at 17:40:39.
 * @group directory_iterators
 */
class UserComparatorTest extends \PHPUnit_Framework_TestCase {

    /** @var UserComparator */
    private $comparator;

    protected function setUp() {
        $this->comparator = new UserComparator();
    }

    public function testCompare() {
        $firstInOrder = $this->getElement('existing');
        $lastInOrder = $this->getElement('test.php');
        parent::assertEquals($this->comparator->compare($firstInOrder, $firstInOrder), 0);
        parent::assertEquals($this->comparator->compare($lastInOrder, $lastInOrder), 0);
        parent::assertEquals($this->comparator->compare($firstInOrder, $lastInOrder), 1);
        parent::assertEquals($this->comparator->compare($lastInOrder, $firstInOrder), -1);
    }

    /** return Treewec\DirectoryIterators\IteratorElement */
    private function getElement($name) {
        $name = \Treewec\FileSystem\Path::toFileSystem($name);
        return new IteratorElement(0, new \SplFileInfo(TEMP_FILEDIR . $name));
    }

}

?>